Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047185
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] Restaurantsmajorhave not tried2021-06-18 13:412021-06-29 11:10
ReporterjavietxeView Statuspublic 
Assigned TojavierRodriguez 
PrioritynormalResolutioninvalidFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047185: JIRA 2114 Menu customer favor discount not applied automatically in returns

DescriptionWhen we are doing a return, the menu customer favor discount is not automatically applied.

As an example we have a regular ticket where the menu customer favor discount is applied (see picture1)

But in the return we are not appying this discount, so we are returning more money than we have asked for in the regular ticket (see picture2)
Steps To ReproduceConfigure the backoffice properly:
- Configure the Menu customer favor discount in the organization window
- Set a price for a menu bigger than the sum of the price of its components

Log in the POS
- Select the menu with the big price
- Select its components
See that the menu customer favor discount is applied
- Press return ticket
The menu customer favor discount disappears and the amount to return is bigger.
TagsNo tags attached.
Attached Filespng file icon Picture1.png [^] (46,650 bytes) 2021-06-18 13:42


png file icon Picture2.png [^] (53,417 bytes) 2021-06-18 13:42

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0129933)
marvintm (manager)
2021-06-29 11:10

The discounts engine doesn't apply discounts to blind returns. Functionally it works in this way, as you cannot guarantee that the current discount definition is valid for the old, returned items. This explains why the discount is not applied when you try to return a menu using a blind return.

There are two workarounds that can be used to handle this case:
- Use verified returns. In this case, we have the information of the discount that was originally applied, and therefore it will be applied correctly on the returned line.
- Manually change the price of the menu to fit whatever price it should have.

- Issue History
Date Modified Username Field Change
2021-06-18 13:41 javietxe New Issue
2021-06-18 13:41 javietxe Assigned To => Retail
2021-06-18 13:41 javietxe Triggers an Emergency Pack => No
2021-06-18 13:42 javietxe File Added: Picture1.png
2021-06-18 13:42 javietxe File Added: Picture2.png
2021-06-18 18:28 dmiguelez Status new => acknowledged
2021-06-23 12:52 dmiguelez Severity minor => major
2021-06-23 12:52 dmiguelez Status acknowledged => scheduled
2021-06-23 12:53 dmiguelez Status scheduled => acknowledged
2021-06-24 11:16 dmiguelez Status acknowledged => scheduled
2021-06-24 11:16 dmiguelez Assigned To Retail => javierRodriguez
2021-06-29 11:10 marvintm Review Assigned To => marvintm
2021-06-29 11:10 marvintm Note Added: 0129933
2021-06-29 11:10 marvintm Status scheduled => closed
2021-06-29 11:10 marvintm Resolution open => invalid


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker